﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using HarmonyLib;

public class TrueLandlubber : Mod
{
    bool gameStarted = false;
    int num = 0;

    Network_Player player;

    public void Start()
    {
        Debug.Log("RaftMod1 has been loaded!");
    }

    public void Update()
    {
        player = RAPI.GetLocalPlayer();
        //The player is null when in main menu so if he is NOT null he is in the game.
        if (player != null)
        {
            //Do this once as a makeshift Start() method to spawn the cube.
            if (!gameStarted && num == 60)
            {
                //spawnedCube = Instantiate(cube);
                GameObject[] allObjects2 = UnityEngine.Object.FindObjectsOfType<GameObject>();
                foreach (GameObject go in allObjects2)
                {
                    // T, C, L, B, R
                    // T = back up
                    // C = Everything same height
                    if (go.ToString().Contains("BuoyancyPoint") && !go.ToString().Contains("BuoyancyPoint C"))
                    {
                        Rigidbody rb = go.GetComponent<Rigidbody>();
                        if (rb != null)
                            rb.useGravity = false;
                        //rb.gameObject.transform.eulerAngles = new Vector3(0, 0, 0);

                    }
                    if (go.ToString().Contains("Raft 2"))
                    {
                        Rigidbody rb = go.GetComponent<Rigidbody>();
                        if (rb != null)
                            rb.useGravity = false;

                        go.transform.eulerAngles = new Vector3(0, 0, 0);
                        Animator[] anim = go.GetComponentsInChildren<Animator>();
                        foreach (Animator a in anim)
                        {
                            if (a.name == "PlayerCamera")
                            {
                                a.enabled = false;
                                print("Disabled " + a);
                            }
                        }
                    }
                }
                gameStarted = true;
            }
            else if (num < 60)
            {
                num++;
            }
        }
        else
        {
            gameStarted = false;
        }
    }

    public void OnModUnload()
    {
        Debug.Log("RaftMod1 has been unloaded!");
    }
}